## ocaml-frei0r 0.1.1

=== examples/Makefile ===
SOURCES = frei0r_test.ml
RESULT = frei0r_test
INCDIRS = ../src
LIBS = frei0r

all: dnc
	./frei0r_test /usr/lib/frei0r-1/tint0r.so

include OCamlMakefile

## ocaml-frei0r 0.1.0

=== debian/changelog ===
ocaml-frei0r (0.1.0-3build4) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 22:00:22 +0200

ocaml-frei0r (0.1.0-3build3) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:31 +0100

ocaml-frei0r (0.1.0-3build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 12:22:48 -0600

ocaml-frei0r (0.1.0-3build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:16:52 +0000

ocaml-frei0r (0.1.0-3) unstable; urgency=low

  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:04:33 -0500

ocaml-frei0r (0.1.0-2) experimental; urgency=low

  * Fixed debian/control. 

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Apr 2013 11:31:08 -0500

ocaml-frei0r (0.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #705822)

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Apr 2013 11:06:32 -0500

=== debian/control ===
Source: ocaml-frei0r
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), 
 frei0r-plugins-dev,
 ocaml-findlib (>= 1.2.4), 
 pkg-config
Standards-Version: 3.9.4
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-frei0r.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-frei0r.git

Package: libfrei0r-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the frei0r API -- runtime files
 This package provides an interface to the frei0r API for
 OCaml programmers.
 .
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API for
 all kinds of video applications.
 .
 This package contains only the shared runtime stub libraries.

Package: libfrei0r-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, frei0r-plugins-dev, 
         libfrei0r-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the frei0r API -- developpement files
 This package provides an interface to the frei0r API for
 OCaml programmers.
 .
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API for
 all kinds of video applications.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-frei0r.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
DEB_CONFIGURE_SCRIPT  := ./configure
DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libfrei0r-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf .pc config.h Makefile src/Makefile src/META doc config.log config.status

## ocaml-frei0r 0.1.1

=== debian/changelog ===
ocaml-frei0r (0.1.1-1) unstable; urgency=medium

  * Team upload
  * Remove Samuel and Romain from Uploaders
  * Update Homepage and debian/watch
  * New upstream release
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Aug 2020 10:21:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: ocaml-frei0r
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
  dh-buildinfo,
  ocaml-nox,
- dh-ocaml (>= 0.9), 
+ dh-ocaml,
  frei0r-plugins-dev,
- ocaml-findlib (>= 1.2.4), 
+ ocaml-findlib,
  pkg-config
-Standards-Version: 3.9.4
-Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-frei0r.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-frei0r.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/savonet/ocaml-frei0r
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-frei0r.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-frei0r
 
 Package: libfrei0r-ocaml
 Architecture: any
@@ -35,7 +34,7 @@
 
 Package: libfrei0r-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, frei0r-plugins-dev, 
+Depends: ${ocaml:Depends}, frei0r-plugins-dev,
          libfrei0r-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the frei0r API -- developpement files

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-frei0r/releases .*ocaml-frei0r-([0-9.]+)\.tar\.gz

## ocaml-frei0r 0.1.2

=== debian/changelog ===
ocaml-frei0r (0.1.2-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Nov 2021 15:04:15 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
  ocaml-nox,
  dh-ocaml,
  frei0r-plugins-dev,
- ocaml-findlib,
+ ocaml-dune,
+ libdune-ocaml-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/savonet/ocaml-frei0r
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-frei0r.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p frei0r

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
